package com.bernhardriedl.projects.tools.utils;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.Vector;

public class ReadFile {
	
	private String fileName=null;
	private BufferedReader istream=null;
	private FileInputStream ist=null;

	/**
	 * Constructor
	 * @param fileName String
	 */

	public ReadFile(String fileName) {
		this.setFileName(fileName);
	}

	/**
	 * setter FileName
	 * @param fileName String
	 */

	public void setFileName(String fileName) {
		this.fileName=fileName;
	}

	/**
	 * getter FileName
	 * @return String
	 */

	public String getFileName() {
		return this.fileName;
	}

	/**
	 * open Textfile
	 * @throws FileNotFoundException
	 */
	
	public void open() throws FileNotFoundException {
		File textFile=new File(this.fileName);
		this.ist = new FileInputStream(textFile);
		this.istream = new BufferedReader(new InputStreamReader(ist));
	}

	/**
	 * reads next line
	 * @return String
	 * @throws IOException
	 */

	public String readLine() throws IOException {
		return istream.readLine();
	}

	/**
	 * reads the whole textfile
	 * @return Vector
	 * @throws IOException
	 */

	public Vector <String> readLines() throws IOException {
		Vector <String> lines=new Vector <String> ();

		/**
		 * read file line per line
		 */

		String s=null;

		while((s=this.istream.readLine())!=null)
			lines.addElement(s);

		return lines;
	}
	
	/**
	 * close file
	 * @throws IOException
	 */
	
	public void close() throws IOException {
		this.istream.close();
		this.ist.close();
	}
}